Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.input
Interface TailerListener

All Known Implementing Classes:
  TailerListenerAdapter

    public interface TailerListener

Listener for events from a `Tailer`.

Since:
  Commons IO 2.0
Version:
  $Id: TailerListener.java 1178224 2011-10-02 19:09:57Z ggregory $

Method Summary
`void` | `fileNotFound()` This method is called if the tailed file is not found.
`void` | `fileRotated()` Called if a file rotation is detected.
`void` | `handle(Exception ex)` Handles an Exception .
`void` | `handle(String line)` Handles a line from a Tailer.
`void` | `init(Tailer tailer)` The tailer will call this method during construction, giving the listener a method of stopping the tailer.

Method Detail

### init

    void init(Tailer tailer)

  The tailer will call this method during construction, giving the listener a method of stopping the tailer.

  Parameters:
    `tailer` - the tailer.

### fileNotFound

    void fileNotFound()

  This method is called if the tailed file is not found.

  Note: this is called from the tailer thread.

### fileRotated

    void fileRotated()

  Called if a file rotation is detected. This method is called before the file is reopened, and fileNotFound may be called if the new file has not yet been created.

  Note: this is called from the tailer thread.

### handle

    void handle(String line)

  Handles a line from a Tailer.

  Note: this is called from the tailer thread.

  Parameters:
    `line` - the line.

### handle

    void handle(Exception ex)

  Handles an Exception .

  Note: this is called from the tailer thread.

  Parameters:
    `ex` - the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2011 The Apache Software Foundation. All Rights Reserved.